Subject: Re: Detecting router id change in p2p-over-lan connection

From: Sunil Patro <[email-masked]>
Date: Fri, 17 Feb 2006 19:35:49 -0800

The same draft talks about ospf in sec 4.2.
I guess they don't have a draft named separately for ospf.

Thanks,
Sunil

> -----Original Message-----
> From: Mailing List [mailto:[email-masked]] On Behalf Of
> Erblichs
> Sent: Friday, February 17, 2006 7:41 PM
> To: [email-masked]
> Subject: Re: Detecting router id change in p2p-over-lan connection
> 
> Sunil,
> 
> 	The doc that you refer to is a IS-IS RFC draft and
> 	you sent the question to a OSPF mail alias?
> 
> 	Mitchell Erblich
> 	--------------------
> 
> Sunil Patro wrote:
> >
> > Hi everyone,
> >
> > According to section 4.5 in draft draft-ietf-isis-igp-p2p-over-lan-
> 05.txt,
> >
> >    "If the circuit is configured as point-to-point type and receives
> >    LAN hello packets, the router MUST discard the incoming packets;
If
> >    the circuit is a LAN type and receive point-to-point hello
packets,
> >    it MUST discard the incoming packets. If the system ID or the
> >    router ID of incoming hello packet does not match the system ID
or
> >    the router ID of already established adjacency over this
p2p-over-lan
> >    circuit, it MUST discard the packet. The implementation should
offer
> >    logging and debugging information of the above events.",
> >
> > My question is how does one detect a router-id change in this
scenario
> then?
> > thanks,
> > Sunil

---

From: Erblichs <[email-masked]>
Date: Fri, 17 Feb 2006 20:09:18 -0800

Not reading the draft. :^)

        The 4.5 section only deals with matching hello types
        and circuit types for established adjacencies. The section
        does not include that L1 AND L2 need separate hellos.

        Their is no mention about changing router-ids. However,
        if I remember my IS-IS correctly, (yes, I have also coded
        for the IS-IS / ES-ISL3 protocol) then the MAC value
        would be the same even with a different system-id. There
        is a presumed single MAC per interface per router versus
        normally a single MAC value for an entire host system.

        The same would be true for OSPF, that the interface
        should have the same MAC value even though the router-id
        might have changed. However this does not hold true
        if a vendor has also switched interfaces or circuits
        that is forming the adj as these other interfaces would
        have a different MAC value.

        Thus, you can tell if a router has changed router-ids.
        However, this still presumes that you have kept dead
        nbrs/peers history and that you have made a check against
        matching died nbr/peers.

        Normally if one changes a router-id, then they don't expect that
        the former/old adjacency will be used with the new router-id.

        Mitchell Erblich
        -------------